/**
 * @copyright
 * Copyright 2013 Mail Bypass, Inc.
 *
 * @license
 * Licensed under the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain
 * a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */

/**
 * @ignore
 */
packageJson = require('../package.json');

module.exports = {
    uri: 'https://api-v4.messagebus.com',
    //templateUri: 'https://templates-jy01-prod.messagebus.com',
    templateUri: 'https://templates-v4-jy01-prod.messagebus.com',
    maxMessages: 100,
    maxTemplateMessages: 25,
    defaultSession: 'DEFAULT',
    timeout: 30 * 1000,
    userAgent: 'MessageBusAPI:' + packageJson.version + '-Node.js:' + process.version,
    maxSockets: 1,
    endPoints: {
        messageEmailSend: '/api/v4/message/email/send',
        templateEmailSend: '/api/v4/templates/email/send',
        template: '/api/v4/template/%s',
        templates: '/api/v4/templates',
        templatesVersion: '/api/v4/templates/version',
        channels: '/api/v4/channels',
        channelConfig: '/api/v4/channel/%s/config',
        channelSessions: '/api/v4/channel/%s/sessions',
        channelSessionRename: '/api/v4/channel/%s/session/%s/rename',
        version: '/api/version',
        feedback: '/api/v4/feedback',
        feedbackChannel: '/api/v4/feedback/channel/%s',
        feedbackChannelSession: '/api/v4/feedback/channel/%s/session/%s',
        stats: '/api/v4/stats/email',
        statsChannel: '/api/v4/stats/email/channel/%s',
        statsChannelSession: '/api/v4/stats/email/channel/%s/session/%s'
    }
};
