/**
 * @copyright
 * Copyright 2013 Mail Bypass, Inc.
 *
 * @license
 * Licensed under the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain
 * a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */
var MessageBusStatsClient = require('../../lib/messagebus.js').MessageBusStatsClient;

var apiKey = "7215ee9c7d9dc229d2921a40e899ec5f";
var apiHost = "https://api-jy01-prod.messagebus.com";

var client = new MessageBusStatsClient(apiKey, apiHost);

client.getStats(function (err, resp) {
    if (err) console.error("Error: %j", err);
    else {
        console.info("\nStats:");
        console.info("\tMessages Attempted:", resp.stats.msgsAttemptedCount);
        console.info("\tComplaint Count:", resp.stats.complaintCount);
        console.info("\tUnsubscribe Count:", resp.stats.unsubscribeCount);
        console.info("\tOpen Count:", resp.stats.openCount);
        console.info("\tUnique Open Count:", resp.stats.uniqueOpenCount);
        console.info("\tClick Count:", resp.stats.clickCount);

        console.info("\nSMTP:");
        console.info("\tAccept Count:", resp.smtp.acceptCount);
        console.info("\tBounce Count:", resp.smtp.bounceCount);
        console.info("\tDeferral Count:", resp.smtp.deferralCount);
        console.info("\tReject Count:", resp.smtp.rejectCount);
        console.info("\tError Count:", resp.smtp.errorCount);

        console.info("\nFilter:");
        console.info("\tBad Mailbox Count:", resp.filter.rcptBadMailboxCount);
        console.info("\tChannel Block Count:", resp.filter.rcptChannelBlockCount);
    }
});
