/**
 * @copyright
 * Copyright 2013 Mail Bypass, Inc.
 *
 * @license
 * Licensed under the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain
 * a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */
var MessageBusTemplatesClient = require('../../lib/messagebus.js').MessageBusTemplatesClient;

var apiKey = "7215ee9c7d9dc229d2921a40e899ec5f";
var apiHost = "https://templates-v4-jy01-prod.messagebus.com";

var client = new MessageBusTemplatesClient(apiKey, apiHost);

var testTemplate = {
    toName: "{{rcpt_name}}",
    toEmail: "{{rcpt_email}}",
    fromName: "{{sender_name}}",
    fromEmail: "{{sender_email}}",
    returnPath: "bounces@bounces.example.com",
    subject: "Hello {{{rcpt_name}}}",
    plaintextBody: "This is the plaintextBody! This is a {{text_value}}",
    htmlBody: "<p>This is the htmlBody!</p>",
    sessionKey: "{{session_key}}",
    customHeaders: {
        "X-MessageBus-SDK": "messagebus-node-sdk"
    }
};

client.createTemplate(testTemplate, function(err, resp) {
    if (err) console.error("Error: %j", err);
    else {
        console.info("Template created with key: %s", resp.templateKey);
        client.getTemplates(function(err, resp) {
            console.info("Template associated with this account:");
            for (var i = 0; i < resp.templates.length; i++) {
                console.info("TemplateKey: ", resp.templates[i].templateKey);
            }
        });
    }
});
