/**
 * @copyright
 * Copyright 2013 Mail Bypass, Inc.
 *
 * @license
 * Licensed under the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain
 * a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */

var MessageBusTemplatesClient = require('../../lib/messagebus.js').MessageBusTemplatesClient;
var client = new MessageBusTemplatesClient('7215ee9c7d9dc229d2921a40e899ec5f');

var sessionKey = "DEFAULT";
var messages = [{
        rcpt_email: "bob@example.com",
        rcpt_name: "Bob",
        subject: "Sample Message with HTML body.",
        text_value: "test #1",
        sender_email: "alice@example.com",
        sender_name: "Alice Waters",
        sessionKey: sessionKey
    }, {
        rcpt_email: "jane@example.com",
        rcpt_name: "Jane",
        subject: "Sample Message with HTML body.",
        text_value: "test #2.",
        sender_email: "alice@example.com",
        sender_name: "Alice Waters",
        sessionKey: sessionKey
    }
];

var templateKey = "66f6181bcb4cff4cd38fbc804a036db6";
client.sendMessages(templateKey, messages, function(err, resp) {
    if (err) throw err.statusMessage;
    else {
        console.info("Email send results");
        for (var i = 0; i < resp.results.length; i++) {
            console.info("To: %s, Message Id: %s, Message Status: %s",
                resp.results[i].toEmail, resp.results[i].messageId, resp.results[i].messageStatus);
        }
    }
});
